Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.rups.model
Class BackgroundTask.ThreadWrapper

    java.lang.Object
      com.lowagie.rups.model.BackgroundTask.ThreadWrapper

Enclosing class:
  BackgroundTask

    private static class BackgroundTask.ThreadWrapper

extends Object

Inner class that holds the reference to the thread.

Field Summary
`private Thread` | `thread`

Constructor Summary
`BackgroundTask.ThreadWrapper(Thread t)`

Method Summary
`(package private) void` | `clear()`
`(package private) Thread` | `get()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    private Thread thread

Constructor Detail

### BackgroundTask.ThreadWrapper

    BackgroundTask.ThreadWrapper(Thread t)

Method Detail

### get

    Thread get()

### clear

    void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD